org.apache.poi.hwmf.usermodel

## Enum HwmfEmbeddedType

- java.lang.Object
- - java.lang.Enum<HwmfEmbeddedType>
  - - org.apache.poi.hwmf.usermodel.HwmfEmbeddedType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfEmbeddedType>

      public enum HwmfEmbeddedType
      extends java.lang.Enum<HwmfEmbeddedType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITMAP`
    `BMP`
    `EMF`
    `EPS`
    `GIF`
    `JPEG`
    `PNG`
    `TIFF`
    `UNKNOWN`
    `WMF`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `extension`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfEmbeddedType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfEmbeddedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BITMAP

          public static final HwmfEmbeddedType BITMAP

    - #### WMF

          public static final HwmfEmbeddedType WMF

    - #### EMF

          public static final HwmfEmbeddedType EMF

    - #### EPS

          public static final HwmfEmbeddedType EPS

    - #### JPEG

          public static final HwmfEmbeddedType JPEG

    - #### GIF

          public static final HwmfEmbeddedType GIF

    - #### TIFF

          public static final HwmfEmbeddedType TIFF

    - #### PNG

          public static final HwmfEmbeddedType PNG

    - #### BMP

          public static final HwmfEmbeddedType BMP

    - #### UNKNOWN

          public static final HwmfEmbeddedType UNKNOWN

  - ### Field Detail

    - #### extension

          public final java.lang.String extension

  - ### Method Detail

    - #### values

          public static HwmfEmbeddedType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfEmbeddedType c : HwmfEmbeddedType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfEmbeddedType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.